Lintian Fixes - afnix

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/afnix lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 6f637319..e65c792c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+afnix (2.9.2-3) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Remove Section on afnix that duplicates source.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 03 Jun 2020 16:50:51 -0000
+
 afnix (2.9.2-2) unstable; urgency=medium
 
   * Fix build with gcc-9 (Closes: #925628)
@@ -26,7 +35,7 @@ afnix (2.9.0-3) unstable; urgency=medium
 afnix (2.9.0-2) unstable; urgency=medium
 
   * Fix build on 32bit architecture.
-    Add d/patches/Fix-Hexadecimal-number-at-MT_MA.patch and 
+    Add d/patches/Fix-Hexadecimal-number-at-MT_MA.patch and
     d/patches/Remove-duplicate-getquad.patch.
 
  -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Jan 2019 22:17:16 +0900
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de3947..00000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index e6eedf89..ef5f26a6 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: afnix
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 11), libncurses5-dev (>= 5.5),
+Build-Depends: debhelper-compat (= 12), libncurses5-dev (>= 5.5),
 	dpkg-dev (>= 1.16.1~)
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian/afnix
@@ -11,7 +11,6 @@ Homepage: http://www.afnix.org/
 
 Package: afnix
 Architecture: any
-Section: interpreters
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: afnix-doc

Run locally

Try this locally (using the lintian-brush package):

debcheckout afnix
cd afnix
lintian-brush

More details

Full run details